## org.eclipse.datatools.sqltools.plan.internal.util
Class Images

    java.lang.Object
      org.eclipse.datatools.sqltools.plan.internal.util.Images

    public class Images

extends java.lang.Object

Utility class to load images

Author:
  Dafan Yang

Field Summary
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_CURRENT_OPERATOR`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EXPORT_PLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EXPORT_PLAN_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_FAILED_PLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_GRAPHIC_PLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_HORIZONTAL_PLAN_VIEW`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_IMPORT_PLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_IMPORT_PLAN_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PLAN_TYPE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVE_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVEALL`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_REMOVEALL_DISABLE`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_SHOWPLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_TEXT_PLAN`
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_VERTICAL_PLAN_VIEW`
`static java.lang.String` `IMG_CURRENT_OPERATOR`
`static java.lang.String` `IMG_EXPORT_PLAN`
`static java.lang.String` `IMG_EXPORT_PLAN_DISABLE`
`static java.lang.String` `IMG_FAILED_PLAN`
`static java.lang.String` `IMG_GRAPHIC_PLAN`
`static java.lang.String` `IMG_HORIZONTAL_PLAN_VIEW`
`static java.lang.String` `IMG_IMPORT_PLAN`
`static java.lang.String` `IMG_IMPORT_PLAN_DISABLE`
`static java.lang.String` `IMG_PLAN_TYPE`
`static java.lang.String` `IMG_REMOVE`
`static java.lang.String` `IMG_REMOVE_DISABLE`
`static java.lang.String` `IMG_REMOVEALL`
`static java.lang.String` `IMG_REMOVEALL_DISABLE`
`static java.lang.String` `IMG_SHOWPLAN`
`static java.lang.String` `IMG_TEXT_PLAN`
`static java.lang.String` `IMG_VERTICAL_PLAN_VIEW`

Constructor Summary
`Images()`

Method Summary
`static org.eclipse.swt.graphics.Image` `get(java.lang.String key)` Returns the image managed under the given key in this registry.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_HORIZONTAL_PLAN_VIEW

    public static final java.lang.String IMG_HORIZONTAL_PLAN_VIEW

See Also:
  Constant Field Values

### DESC_HORIZONTAL_PLAN_VIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_HORIZONTAL_PLAN_VIEW

### IMG_VERTICAL_PLAN_VIEW

    public static final java.lang.String IMG_VERTICAL_PLAN_VIEW

See Also:
  Constant Field Values

### DESC_VERTICAL_PLAN_VIEW

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_VERTICAL_PLAN_VIEW

### IMG_CURRENT_OPERATOR

    public static final java.lang.String IMG_CURRENT_OPERATOR

See Also:
  Constant Field Values

### DESC_CURRENT_OPERATOR

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_CURRENT_OPERATOR

### IMG_SHOWPLAN

    public static final java.lang.String IMG_SHOWPLAN

See Also:
  Constant Field Values

### DESC_SHOWPLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_SHOWPLAN

### IMG_REMOVEALL_DISABLE

    public static final java.lang.String IMG_REMOVEALL_DISABLE

See Also:
  Constant Field Values

### DESC_REMOVEALL_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVEALL_DISABLE

### IMG_REMOVEALL

    public static final java.lang.String IMG_REMOVEALL

See Also:
  Constant Field Values

### DESC_REMOVEALL

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVEALL

### IMG_REMOVE_DISABLE

    public static final java.lang.String IMG_REMOVE_DISABLE

See Also:
  Constant Field Values

### DESC_REMOVE_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVE_DISABLE

### IMG_REMOVE

    public static final java.lang.String IMG_REMOVE

See Also:
  Constant Field Values

### DESC_REMOVE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_REMOVE

### IMG_TEXT_PLAN

    public static final java.lang.String IMG_TEXT_PLAN

See Also:
  Constant Field Values

### DESC_TEXT_PLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_TEXT_PLAN

### IMG_GRAPHIC_PLAN

    public static final java.lang.String IMG_GRAPHIC_PLAN

See Also:
  Constant Field Values

### DESC_GRAPHIC_PLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_GRAPHIC_PLAN

### IMG_FAILED_PLAN

    public static final java.lang.String IMG_FAILED_PLAN

See Also:
  Constant Field Values

### DESC_FAILED_PLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_FAILED_PLAN

### IMG_EXPORT_PLAN

    public static final java.lang.String IMG_EXPORT_PLAN

See Also:
  Constant Field Values

### DESC_EXPORT_PLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EXPORT_PLAN

### IMG_EXPORT_PLAN_DISABLE

    public static final java.lang.String IMG_EXPORT_PLAN_DISABLE

See Also:
  Constant Field Values

### DESC_EXPORT_PLAN_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EXPORT_PLAN_DISABLE

### IMG_IMPORT_PLAN

    public static final java.lang.String IMG_IMPORT_PLAN

See Also:
  Constant Field Values

### DESC_IMPORT_PLAN

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_IMPORT_PLAN

### IMG_IMPORT_PLAN_DISABLE

    public static final java.lang.String IMG_IMPORT_PLAN_DISABLE

See Also:
  Constant Field Values

### DESC_IMPORT_PLAN_DISABLE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_IMPORT_PLAN_DISABLE

### IMG_PLAN_TYPE

    public static final java.lang.String IMG_PLAN_TYPE

See Also:
  Constant Field Values

### DESC_PLAN_TYPE

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PLAN_TYPE

Constructor Detail

### Images

    public Images()

Method Detail

### get

    public static org.eclipse.swt.graphics.Image get(java.lang.String key)

  Returns the image managed under the given key in this registry.

  Parameters:
    `key` - the image's key
  Returns:
    the image managed under the given key